Bug 138200 - php doesn't support Oracle 10g
Summary: php doesn't support Oracle 10g
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php   
(Show other bugs)
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 152598
TreeView+ depends on / blocked
 
Reported: 2004-11-05 16:54 UTC by Andri Saar
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:14:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andri Saar 2004-11-05 16:54:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
PHP 4.3.2 doesn't support Oracle 10g.

This should be a matter of trivial backporting from PHP 4.3.9, as it
does support Oracle 10g.

Version-Release number of selected component (if applicable):
php-4.3.2-14.ent

How reproducible:
Always

Steps to Reproduce:
1. Install Oracle 10g (from Oracle TechNet)
1. Download the PHP SRPM
2. Try to rebuild with --define 'oracle 1'

    

Actual Results:  Configure fails, saying it didn't find Oracle.

Expected Results:  PHP linked against Oracle 10g client libraries.

Additional info:

Comment 1 Andri Saar 2004-11-05 16:58:25 UTC
This PHP bug may help: http://bugs.php.net/bug.php?id=27117

Comment 2 Suzanne Hillman 2005-03-30 17:58:06 UTC
Internal RFE bug #152598 entered; will be considered for future releases.

Comment 3 RHEL Product and Program Management 2007-10-19 19:14:57 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.